def insert(self, data):
    if data <= self.data:
        if self.left == None:
            self.left = ABR(data)
            self.left.parent = self
        else:
            self.left.insert(data)
    else:
        if self.right == None:
            self.right = ABR(data)
            self.right.parent = self
        else:
            self.right.insert(data)
